import 'package:cpt_main/modules/visitor/page/visitor_page.dart';
import 'package:cs_resources/generated/l10n.dart';
import 'package:flutter/material.dart';
import 'package:flutter/src/widgets/framework.dart';
import 'package:hooks_riverpod/hooks_riverpod.dart';
import 'package:auto_route/auto_route.dart';
import 'package:widgets/ext/ex_widget.dart';

@RoutePage()
class HomePage extends HookConsumerWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context, WidgetRef ref) {
    return Scaffold(
      appBar: AppBar(title: Text("Home")),
      body: Center(
        child: Column(
          children: [
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ElevatedButton(
                  onPressed: () {},
                  child: Text(S.of(context).payment),  //国际化中英文适配
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text(S.of(context).rewards),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text(S.of(context).notification),
                ),
              ],
            ).marginOnly(top: 10),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ElevatedButton(
                  onPressed: () {},
                  child: Text(S.of(context).facility),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text(S.of(context).form),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text(S.of(context).notice_board),
                ),
              ],
            ).marginOnly(top: 10),
            Row(
              mainAxisAlignment: MainAxisAlignment.spaceAround,
              children: [
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Property'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Service'),
                ),
                ElevatedButton(
                  onPressed: () {},
                  child: Text('Community'),
                ),
              ],
            ).marginOnly(top: 10),
          ],
        ),
      ),
    );
  }
}
